|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Obsolete Members for QXmlInputSource

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QXmlInputSource class reference

### Public Functions

- QXmlInputSource ( QFile & file ) `(obsolete)`
- QXmlInputSource ( QTextStream & stream ) `(obsolete)`

## Member Function Documentation

### QXmlInputSource::QXmlInputSource ( QFile & file )

Constructs an input source and gets the data from the file file. If the file cannot be read the input source is empty.

### QXmlInputSource::QXmlInputSource ( QTextStream & stream )

Constructs an input source and gets the data from the text stream stream.